Package org.eclipse.cdt.core.build

# Interface IToolChain2

public interface IToolChain2

Since:
  6.5

## Method Summary

Modifier and Type
Method
Description
`Process`
`startBuildProcess(ICBuildConfiguration config, List<String> command, String buildDirectory, IEnvironmentVariable[] envVars, IConsole console, org.eclipse.core.runtime.IProgressMonitor monitor)`

## Method Details

### startBuildProcess

Process startBuildProcess(ICBuildConfiguration config, List<String> command, String buildDirectory, IEnvironmentVariable[] envVars, IConsole console, org.eclipse.core.runtime.IProgressMonitor monitor) throws org.eclipse.core.runtime.CoreException, IOException

Throws:
  `org.eclipse.core.runtime.CoreException`
  `IOException`